Package htsjdk.samtools.filter

# Class MappingQualityFilter

java.lang.Object
htsjdk.samtools.filter.MappingQualityFilter

All Implemented Interfaces:
  `SamRecordFilter`

public class MappingQualityFilter extends Object implements SamRecordFilter
Filter things with low mapping quality.

## Constructor Summary

Constructors
Constructor
Description
`MappingQualityFilter(int minimumMappingQuality)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`filterOut(SAMRecord record)`
Determines whether a SAMRecord matches this filter
`boolean`
`filterOut(SAMRecord first, SAMRecord second)`
Determines whether a pair of SAMRecords matches this filter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MappingQualityFilter

public MappingQualityFilter(int minimumMappingQuality)

## Method Details

### filterOut

public boolean filterOut(SAMRecord record)
Description copied from interface: `SamRecordFilter`
Determines whether a SAMRecord matches this filter

Specified by:
  `filterOut` in interface `SamRecordFilter`
Parameters:
  `record` - the SAMRecord to evaluate
Returns:
  true if the SAMRecord matches the filter, otherwise false

### filterOut

public boolean filterOut(SAMRecord first, SAMRecord second)
Description copied from interface: `SamRecordFilter`
Determines whether a pair of SAMRecords matches this filter

Specified by:
  `filterOut` in interface `SamRecordFilter`
Parameters:
  `first` - the first SAMRecord to evaluate
  `second` - the second SAMRecord to evaluate
Returns:
  true if the pair of records matches filter, otherwise false